Skip to Content
inclamoDocs

Get inbox-label matrix report

GET
/api/v2/accounts/{account_id}/reports/inbox_label_matrix

Get a matrix showing the count of conversations for each inbox-label combination. Returns a list of inboxes, labels, and a 2D matrix where each cell contains the count of conversations in a specific inbox that have a specific label applied.

Note: This API endpoint is available only in Chatwoot version 4.11.0 and above.

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Query Parameters

since?string

The timestamp from where report should start (Unix timestamp).

until?string

The timestamp from where report should stop (Unix timestamp).

inbox_ids?array<integer>

Filter by specific inbox IDs.

label_ids?array<integer>

Filter by specific label IDs.

Response Body

Success

application/json
  1. response

Inbox-label matrix report showing the count of conversations for each inbox-label combination.

inboxes?array<>

List of inboxes included in the report

labels?array<>

List of labels included in the report

matrix?array<array<number>>

2D array where matrix[i][j] represents the count of conversations in inboxes[i] with labels[j]

Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v2/accounts/0/reports/inbox_label_matrix'
Example Response
{  "inboxes": [    {      "id": 0,      "name": "string"    }  ],  "labels": [    {      "id": 0,      "title": "string"    }  ],  "matrix": [    [      0    ]  ]}